Fix build script
authorXilin Wu <wuxilin123@gmail.com>
星期四, 5 May 2022 15:09:50 +0000 (23:09 +0800)
committerBigfootACA <bigfoot@classfun.cn>
星期四, 5 May 2022 15:38:11 +0000 (23:38 +0800)
build.sh

index 4b9f400a00dbd0ae0ce3dc97b3829fbcc4d61e00..b51e995a73cd52bf93cfb5d0fe79c21b8b4b5109 100755 (executable)
--- a/build.sh
+++ b/build.sh
@@ -135,7 +135,7 @@ done
 if "${DISTCLEAN}";then _distclean;exit "$?";fi
 if "${CLEAN}";then _clean;exit "$?";fi
 [ -z "${DEVICE}" ]&&_help 1
-if ! [ -f edk2/edksetup.sh ] || ! [ -f ../edk2/edksetup.sh ]
+if ! [ -f edk2/edksetup.sh ] && ! [ -f ../edk2/edksetup.sh ]
 then   set -e
        echo "Updating submodules"
        [ -e sdm845Pkg/AcpiTables/.git ]||git clone https://git.renegade-project.org/edk2-sdm845-acpi.git sdm845Pkg/AcpiTables